c###f2dis.for
      SUBROUTINE F2DIS (FMUF, SSN, CLAT, FREQ, ABB, SIG)
C--------------------------------
C
C     THIS ROUTINE OBTAINS THE UPPER AND LOWER DECILE FOR THE F2 MUF
C
C     USES TABLES OF F2 MUF(3000)  (IE MUF FOR A DISTANCE OF 3000 KM)
C
C FMUF IS F2 MUF,MHZ.
C SSN  IS SUNSPOT NUMBER.
C CLAT IS GEOGRAPHIC LATITUDE, RADIANS.
C FREQ IS OPERATING FREQUENCY,MHZ.
C     AB IS LOCAL MEAN TIME (HOURS)   SEE CLCK(K)
C SIG  IS STANDARD DEVIATION OF F2 MUF (NORMAL)
C
      COMMON / TWO / F2D(16,6,6), P(29,16,8), ABP(2,9), DUD(5,12,5),
     A FAM(14,12), SYS(9,16,6), PERR(9,4,6)
C.....IF NO IONOSPHERIC LONG TERM DATA BASE FILE USE CLASSICAL VALUES
      IF(F2D(1,1,1) ) 90,90,95
   90 SIG=0.15*FMUF/1.28155
      SIG=AMAX1(SIG,0.001)
      RETURN
   95 CONTINUE
      CL = CLAT * 57.29577
      ICC = ABB / 4.0 + 1.55
      IF (ICC - 7)105, 100, 100
  100 ICC = 1
  105 IF (FREQ - FMUF)110, 110, 115
  110 I = 8
      GO TO 120
  115 I = 0
  120 ICL = 9.5 - ABS (CL) / 10.
      IF (ICL)125, 125, 130
  125 IC = 1
      GO TO 145
  130 IF (ICL - 8)140, 140, 135
  135 IC = 8
      GO TO 145
  140 IC = ICL
  145 IZ = IC + I
      IF (SSN - 50.)150, 150, 155
  150 J = 1
      GO TO 170
  155 IF (SSN - 100.)160, 160, 165
  160 J = 2
      GO TO 170
  165 J = 3
  170 IF (CL)175, 175, 180
  175 K = 3
      GO TO 185
  180 K = 0
  185 JK = K + J
      SIG = ABS(FMUF - F2D(IZ,JK,ICC) * FMUF) / 1.28
      IF (SIG .LE. 0.001) SIG = 0.001
      RETURN
      END
C--------------------------------
